# Raumplaner.py

from grafikfenster import *
from gui import Gui

### ---------------------------------------------------
import time
import _thread

from moebel import Moebel

class RaumplanerApp(wx.App):
    """Testanwendung fuer Raumplaner-Grafik
       ShellFrame: Interaktion mit laufender Anwendung
       FillingFrame: Anzeige der Umgebung"""
    def OnInit(self):
        self.gui = Gui(None, -1, "Raumplaner", pos=(600,50))
        self.SetTopWindow(self.gui)
        self.fenster = GrafikFenster(self.gui, "Raumplaner-Grafik", size=(600,600))
        self.fenster.Show(True)
        self.gui.Show(True)
        Zeichenflaeche.GibZeichenflaeche().BeobachterAnmelden(Moebel)
        Moebel.SetzeGui(self.gui) # selber Zweck
        return True

    def TestAnwendung(self):
        """Allein fuer die Testanwendung:"""
        global badewanne, bett, dusche, herd, klosett, schrank, sessel, sofa, stuhl, tisch
        ##global alle
        badewanne=Badewanne()
        bett=Bett()
        dusche=Dusche()
        herd=Herd()
        klosett=Klosett()
        sessel=Sessel()
        schrank=Schrank()
        sofa=Sofa()
        stuhl=Stuhl()
        tisch=Tisch()
        ##alle=[badewanne, bett, dusche, herd, klosett, schrank, sessel, sofa, stuhl, tisch]

### ---------------------------------------------------
if __name__ == '__main__':
    app = RaumplanerApp(redirect=False)
    # Parameterwert True, wenn Ausgaben in der Standard E/A angezeigt werden sollen
    app.MainLoop()
